List integration tag keys
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"key": "Team",
"variants": [
"<string>"
],
"integrations": 12,
"sampleIntegrations": [
"<string>"
],
"assets": 3100,
"noOwner": 85,
"distinctValues": 6,
"sampleValues": [
"payments"
],
"suggestion": {
"verdict": "owner",
"reason": "owner-name",
"holds": "teams"
},
"ownerValues": {
"verdict": "all",
"junk": [
{
"value": "n/a",
"reason": "placeholder",
"uses": 123
}
],
"junkShare": 0.05
},
"approximate": false
}
]
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}List integration tag keys for ownership
The tag keys on the tenant’s integrations, such as the tags on an AWS account, for an owner tag read from the integration. The same shape as List tag keys, where assets counts the assets of the integrations that carry the key and noOwner those of them with no owner. Keys in a rule come first, then the keys most integrations carry. Requires Asset:Read.
GET
/
v1
/
tenant
/
ownership
/
integration-tag-keys
List integration tag keys
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{region}.api.plerion.com/v1/tenant/ownership/integration-tag-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"key": "Team",
"variants": [
"<string>"
],
"integrations": 12,
"sampleIntegrations": [
"<string>"
],
"assets": 3100,
"noOwner": 85,
"distinctValues": 6,
"sampleValues": [
"payments"
],
"suggestion": {
"verdict": "owner",
"reason": "owner-name",
"holds": "teams"
},
"ownerValues": {
"verdict": "all",
"junk": [
{
"value": "n/a",
"reason": "placeholder",
"uses": 123
}
],
"junkShare": 0.05
},
"approximate": false
}
]
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}Was this page helpful?